
# Python Best Practices
 
by Dr. Kristian Rother


This repository contains the code examples for the book **[Pro Python Best Practices: Debugging, Testing and Maintenance](http://www.apress.com/us/book/9781484222409)** published by **Apress** in 2017.

The book is meant for intermediate-level Python programmers to learn the basics of how to write better, more stable software.


## What the chapters are about

![MazeRun](01_introduction/merged.png)

In the chapters, **MazeRun**, a small game, will be implemented step by step. Each chapter adds one particular Software Craftsmanship technique worth knowing.

* Chapters 02-07 are dedicated to **debugging**
* Chapters 08-11 are about **testing**
* Chapters 12-17 are about **maintenance**


## License

The code here is published under the conditions of the MIT License. There are no restrictions for any kind of private or educational use, including redistribution. Please see the file `LICENSE.TXT` for details.


## Contact

The author, Dr. Kristian Rother, can be reached via `krother@academis.eu`

To learn more about the book, visit the [Apress website](http://www.apress.com/us/book/9781484222409).
